/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, Nexus, Sonatype, define*/
define('nexus-procurement-plugin-boot', [
  'Sonatype/repoServer/ArtifactProcurementPanel',
  'Sonatype/repoServer/ArtifactResolutionMenu',
  'Sonatype/repoServer/ArtifactProcurementTree'
], function() {
  // FIXME move config to proper location
  Ext.namespace('Nexus.procurement.configuration');
  Nexus.procurement.configuration.FREEFORM_GAV = 'specified by user';
  Nexus.procurement.configuration.PROCUREMENT_RESOLUTION_SERVICE_PATH = Sonatype.config.servicePath + '/procurement/resolutions/';
  Nexus.procurement.configuration.PROCUREMENT_SERVICE_PATH = Sonatype.config.servicePath + '/procurement/manage';

  Nexus.Log.debug('Initialized procurement UI');
});