/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global NX, Ext, Nexus*/

/**
 * Event 'copyItems' detail.
 *
 * @since 2.6.1
 */
NX.define('Nexus.staging.repository.activity.EventDetail_copyItems', {
    extend: 'Nexus.staging.repository.activity.EventDetail',

    getTitle: function () {
        var source = this.getPropertyValues('source');
        var target = this.getPropertyValues('target');
        return 'Copying items from ' + source + ' to ' + target;
    }

});
